スタイルを変更しようとすると「URLが不正です」というエラー

「スタイルを選択」で、「MT4スタイルライブラリ」や「プロフェッショナル ウェブサイト」を選択したらエラーが発生。

テーマの読み込みでエラーが発生しました! -- URLが不正です: http://www.sixapart.com/movabletype/styles/mt4/library 

また、システム情報で

mt-check.cgiが見つかりませんでした。mt-check.cgiが存在すること、名前を変えた場合は構成ファイルのCheckScriptディレクティブに名前を指定してください。

libwww-perlモジュールがインストールされていないのが原因だった。
以下でlibwww-perlをインストールしたらOK。
CentOS, Fedora

$ sudo yum install perl-libwww-perl

Ubuntu

$ sudo aptitude install libwww-perl

また、管理サイトをSSL(https)にしている場合は、システム情報を見る(mt-check.cgiをシステム情報から実行する)には、Crypt::SSLeayも必要。

$ sudo yum install perl-Crypt-SSLeay

スタイルを変更しようとすると「URLが不正です」というエラー | Movable Type 4 FAQ

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください